# View a balance account

Endpoint: GET /parties/{partyId}/balanceAccounts/{balanceAccountId}
Version: 2025-01-01
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `partyId` (string, required)
    A unique identifier for the party generated by us. This is sent in the response of your party creation call.

  - `balanceAccountId` (string, required)
    A unique identifier for the balanceAccount generated by us. This is sent in the response of your balanceAccount creation call.

## Header parameters:

  - `WP-Api-Version` (string, required)
    The API version.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `currency` (string, required)
    The currency in [ISO 4217 currency format](/products/reference/supported-countries-currencies#iso-currency-codes).
    Example: GBP

  - `payoutInstrumentReference` (string)
    A reference of the `payoutInstrument` created by you. This
field holds the beneficiary bank details. Use this to direct payouts to
the relevant beneficiary. This must be unique within an entity.
    Example: primaryBusinessAccount

  - `scheduledPayoutDay` (string)
    The scheduled payout day for this `balanceAccount`. You must provide this for "weekly" and "monthly" `frequency`.
    Enum: "monday", "tuesday", "wednesday", "thursday", "friday"

  - `frequency` (string)
    Scheduled payout frequency for this `balanceAccount`:
**daily** - payouts are processed every business day
**weekly** - you must include `scheduledPayoutDay`
**monthly** - you must include `scheduledPayoutDay` and `recurrence`
    Enum: "daily", "weekly", "monthly"

  - `recurrence` (string)
    The week of the month the payout is paid out. You must provide this for "monthly" `frequency`.
    Enum: "first", "second", "third", "fourth"

  - `nextPayoutDate` (string)
    The next scheduled payout date for this balance account.
    Example: 2025-02-14

  - `balanceAccountId` (string)
    Unique ID created by us to identify a balance account. This is sent in the response after `balanceAccount` creation.

  - `accountNumber` (string)
    The number of your balanceAccount.

  - `dateTimeCreated` (string)
    The date and time that the balance account was created, as an ISO 8601 zoned date time.
    Example: 2025-01-23T12:23:445.222Z

  - `dateTimeUpdated` (string)
    The date and time that the balance account was last updated, as an ISO 8601 zoned date time.
    Example: 2025-01-25T02:43:499.202Z

  - `version` (integer)

## Response 400 fields (application/json):

  - `errorName` (string)
    An ordinal error type that is part of the API contract. It is machine readable, but also human readable for clarity and semantic understanding of the error.
    Example: bodyDoesNotMatchSchema

  - `message` (string)
    A human readable message giving a corrective action for the error. THIS IS NOT FOR MACHINE CONSUMPTION.

  - `validationErrors` (array)

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.path` (string)

  - `validationErrors.jsonPath` (string)

  - `validationErrors.queryParameter` (string)

  - `validationErrors.pathParameter` (string)

  - `pathParameter` (string)

  - `queryParameter` (string)

  - `jsonPath` (string)

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `errorName` (string)
    An ordinal error type that is part of the API contract. It is machine readable, but also human readable for clarity and semantic understanding of the error.
    Example: bodyDoesNotMatchSchema

  - `message` (string)
    A human readable message giving a corrective action for the error. THIS IS NOT FOR MACHINE CONSUMPTION.

  - `validationErrors` (array)

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.path` (string)

  - `validationErrors.jsonPath` (string)

  - `validationErrors.queryParameter` (string)

  - `validationErrors.pathParameter` (string)

  - `pathParameter` (string)

  - `queryParameter` (string)

  - `jsonPath` (string)

## Response 503:

  - `503` (unknown)
    Service Unavailable

## Response 503 fields (application/json):

  - `errorName` (string)
    An ordinal error type that is part of the API contract. It is machine readable, but also human readable for clarity and semantic understanding of the error.
    Example: bodyDoesNotMatchSchema

  - `message` (string)
    A human readable message giving a corrective action for the error. THIS IS NOT FOR MACHINE CONSUMPTION.

  - `validationErrors` (array)

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.path` (string)

  - `validationErrors.jsonPath` (string)

  - `validationErrors.queryParameter` (string)

  - `validationErrors.pathParameter` (string)

  - `pathParameter` (string)

  - `queryParameter` (string)

  - `jsonPath` (string)

## Response 200 examples:

  - `Get a balance account for existing party of company (modular with a daily payout)` (unknown)
    Balance account for a party of type company (modular)

  - `Get a balance account for existing party of person (modular with a weekly payout)` (unknown)
    Balance account for a party of type person (modular)

  - `Get a balance account for existing party of sole trader (modular with a monthly payout)` (unknown)
    Balance account for a party of type sole trader (modular)

## Response 400 examples:

  - `Bad request` (unknown)

  - `URL with invalid value` (unknown)

## Response 500 examples:

  - `Internal error occurred` (unknown)

## Response 503 examples:

  - `Service Unavailable` (unknown)

